
Website Input - Bug #1931

Bug # 1929 (New): Unit tests fail on CI server with Geckodriver 0.18.0

Fix issue where FireFox fails to work

07/13/2017 11:36 PM - Luke Murphey

Status: New Start date: 07/13/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category: Unit Tests Estimated time: 0.00 hour

Target version:    

Description

Associated revisions

Revision 474 - 07/14/2017 07:18 AM - lukemurphey

Improving logging of WebDriver issues

Reference #1931

History

#1 - 07/13/2017 11:38 PM - Luke Murphey

Tried with 0.17.0 Geckodriver: it passed

Server is running Mozilla Firefox 53.0.3

#2 - 07/14/2017 04:21 AM - Luke Murphey

My mac is running 54.0.1 (64-bit).

0.18.0 says "geckodriver now recommends Firefox 53 and greater"; I would have expected this to work.

#3 - 07/14/2017 04:46 AM - Luke Murphey

[Child 13436] WARNING: pipe error (3): Connection reset by peer: file

/build/firefox-IKSm1A/firefox-53.0.3+build1/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 346

This happened at: Tuesday, July 11, 2017 4:02:04.723 PM GMT

#4 - 07/14/2017 04:49 AM - Luke Murphey

This is running from /var/opt/ci/splunk/6.2.12

#5 - 07/14/2017 05:03 AM - Luke Murphey

This is being thrown from driver.quit(). Not quite sure why, it seems like it ought to work.

#6 - 07/14/2017 07:05 AM - Luke Murphey

Minimal repro attempts (from /var/lib/go-agent/pipelines/web-input/src/bin):

from web_input import WebScraper

import urlparse
web_scraper = WebScraper(timeout=5)

content = web_scraper.get_result_browser(urlparse.urlparse("http://google.com"), "firefox")

 

That repros the error.

This just returns a message saying "selenium.common.exceptions.WebDriverException: Message: connection refused":

from selenium import webdriver

import os

os.environ["PATH"] += ":" + os.path.join(os.getcwd(), "browser_drivers" ,"linux64")

driver = webdriver.Firefox()

driver.get("http://google.com")

content = driver.execute_script("return document.documentElement.outerHTML")

#7 - 07/14/2017 07:14 AM - Luke Murphey

I wonder if an exception is being swallowed.

#8 - 07/14/2017 07:32 AM - Luke Murphey

It doesn't appear to be.

#9 - 07/14/2017 07:36 AM - Luke Murphey

Next to try: deploy latest on the server and confirm Firefox works from Splunk.

#10 - 07/14/2017 05:38 PM - Luke Murphey

Didn't work after being deployed.

#11 - 07/14/2017 06:27 PM - Luke Murphey

Ok, it doesn't work on the server. Go was installing the older version of the app, the last one that succeeded in testing.

#12 - 07/14/2017 06:27 PM - Luke Murphey

- Target version changed from 4.3.0 to 4.4

#13 - 07/29/2017 06:44 AM - Luke Murphey

- Target version deleted (4.4)
